Get a List of Templates

Returns the HTML content for all templates in an account as an array. This request supports pagination with default page size of 10 and sorted by last updated date, from most to least recently. Total item count is available with each response, and additional query params can be defined to filter and fine-tune the desired response.

Required HeadersValue
Content-Typeapplication/json
Acceptapplication/json
AuthorizationBasic
Path Params
string
required

ZMP Site ID

Query Params
int32

Index of the page

int32
Defaults to 10

The number of records to return in a paginated call. maximum:20

fields
array of strings

List of fields to return in the response(e.g. name, created_at)

fields
exclude_fields
array of strings

List of fields to exclude in the response

exclude_fields
string
Defaults to updated_at

Returns templates sorted by the specified field in ascending order (e.g. created_at, updated_at, name). Default is updated_at in descending order

string

User who created the template

date

Restrict the response to snippets created after the set date in ISO 8601 format

date

Restrict the response to snippets created before the set date in ISO 8601 format

string

Limit results based on the content type (visual / html)

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json